Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.29 veröffentlicht (30.10.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
benutzerdefinierte headermenüs fehlen nach update
#1
Hallöchen,

so, bei meinen Aktualisierungsversuchen von der .7 auf die .11 bin ich jetzt an dem Punkt, dass ich zwei eigene Headermenüs in der .11 nicht mehr in den Header bekomme.

Ich habe die "Grundlagen" der Menüs an 4 Stellen, Vorgehensweise bei beiden gleich.

1. im Root-Verzeichnis des Forums die php, z.B. Impressum.php
Inhalt:
PHP-Code:
<?php
define
("IN_MYBB"1);
//define("NO_ONLINE", 1); // Wenn Seite nicht in Wer ist online-Liste auftauchen soll

require("global.php");

add_breadcrumb("Impressum");

eval(
"\$impressum = \"".$templates->get("impressum")."\";"); // Hier wird das erstellte Template geladen
output_page($impressum);
?>

2. Im Template Header
PHP-Code:
<li><a href="{$mybb->settings['bburl']}/impressum.php" class="impressum">{$lang->toplinks_impressum}</a></li

3. in der global.css
PHP-Code:
#logo ul.top_links a.impressum{
background-position0 0;
background-imageurl(images/toplinks/impressum.gif);
background-repeatno-repeat;


4. die gif im unter global.css genannten Verzeichnis

In der .7 funktioniert das. In der .11 nicht mehr.
Ich nutze auch das ProPortal. Da das sich ja auch in den Menüs platziert, habe ich es deinstalliert und die originale portal.php der .11 eingesetzt. Hat nix gebracht.
PHP Version 7.3
MySQL Version 5.6.42
Mybb Version 1.8.26
(Stand 06/2021)

Grüße, André
Zitieren
#2
Kann man sich das mal irgendwo ansehen?
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#3
Hallöchen,
die .7 ist
http://www.clever-excel-forum.de
die .11 ist
http://www.clever-excel-forum.net
(ist allerdings im Moment geschlossen, aber die Headermenüs sind wie beschrieben)
PHP Version 7.3
MySQL Version 5.6.42
Mybb Version 1.8.26
(Stand 06/2021)

Grüße, André
Zitieren
#4
Deine Toplinks sind inkl. Icons in der Version 1.8.11 vorhanden aber es scheinen die Sprachvariablen zu fehlen. Kann es sein, dass du die Sprachdateien beim Upgrade überschrieben hast?
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#5
Hallo Jockel,

danke, das dürfte es gewesen sein. Die haben sich ja auch geändert und müssen als 5. Punkt in die Liste der Voraussetzungen :-) ... Mach ich gleich morgen früh. Bin seit heute früh zwei Minuten vor fünf auf den Beinen :-(
PHP Version 7.3
MySQL Version 5.6.42
Mybb Version 1.8.26
(Stand 06/2021)

Grüße, André
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  benutzerdefinierte Standardschrift möglich? dora71 15 1.496 20.08.2020, 09:18
Letzter Beitrag: dora71
  Benutzerdefinierte Profilfelder (mit Hyperlink-Funktion) xShivo 5 1.072 15.05.2015, 21:12
Letzter Beitrag: MrBrechreiz